## SYNOPSIS

           dumpkeys    [   -hilfn   -ccharset   --help   --short-info
           --long-info    --numeric     --full-table     --funcs-only
           --keys-only --compose-only --charset=charset ]

## DESCRIPTION

           dumpkeys  writes, to the standard output, the current con
           tents of the keyboard driver's translation tables, in  the
           format specified by keymaps(5).

           Using the various options, the format of the output can be
           controlled and also other information from the kernel  and
           the  programs dumpkeys(1) and loadkeys(1) can be obtained.

## OPTIONS

           -h --help
                  Prints the program's version  number  and  a  short
                  usage  message to the program's standard error out
                  put and exits.

           -i --short-info
                  Prints some characteristics of  the  kernel's  key
                  board driver. The items shown are:

                  Keycode range supported by the kernel

                         This tells what values can be used after the
                         keycode  keyword  in  keytable  files.   See
                         keymaps(5) for more information and the syn
                         tax of these files.

                  Number of actions bindable to a key

                         This tells how many different actions a sin
                         gle  key  can  output using various modifier
                         keys. If the value is 16  for  example,  you
                         can  define  up to 16 different actions to a
                         key combined with modifiers. When the  value
                         is  16, the kernel probably knows about four
                         modifier keys, which you can press  in  dif
                         ferent  combinations  with the key to access
                         all the bound actions.

                  Ranges of action codes supported by the kernel

                         This item contains a  list  of  action  code
                         ranges  in  hexadecimal notation.  These are
                         the values that can be  used  in  the  right
                         hand  side of a key definition, ie. the vv's
                         in a line

                                 keycode xx = vv vv vv vv

                         the  range list with the action symbol list,
                         see option --long-info below.

                  Number of function keys supported by kernel

                         This tells the number of action  codes  that
                         can be used to output strings of characters.
                         These action codes are  traditionally  bound
                         to  the various function and editing keys of
                         the keyboard and are defined to  send  stan
                         dard  escape  sequences.  However,  you  can
                         redefine these to send common command lines,
                         email addresses or whatever you like.  Espe
                         cially if the number of this item is greater
                         than the number of function and editing keys
                         in your keyboard, you may have some  "spare"
                         action codes that you can bind to AltGr-let
                         ter combinations, for example, to send  some
                         useful  strings.  See  loadkeys(1)  for more
                         details.

                  Function strings

                         You can see you current function key defini
                         tions with the command

                                 dumpkeys --funcs-only

           -l --long-info
                  This  option  instructs  dumpkeys  to  print a long
                  information listing. The output is the same as with
                  the  --short-info  appended with the list of action
                  symbols supported by loadkeys(1)  and  dumpkeys(1),
                  along with the symbols' numeric values.

           -n --numeric
                  This  option causes dumpkeys to by-pass the conver
                  sion of action code values to symbolic notation and
                  to print the in hexadecimal format instead.

           -f --full-table
                  This makes dumpkeys skip all the short-hand heuris
                  tics (see keymaps(5)) and output the  key  bindings
                  in   the  canonical  form.  First  a  keymaps  line
                  describing the currently defined modifier  combina
                  tions  is  printed.  Then for each key a row with a
                  column for each modifier  combination  is  printed.
                  For  example,  if  the  current  keymap in use uses
                  When this option is given, dumpkeys prints only the
                  key bindings. Normally dumpkeys prints both the key
                  bindings and the string definitions.

           --compose-only
                  When this option is given, dumpkeys prints only the
                  compose key combinations.  This option is available
                  only if your kernel has compose key support.

           -ccharset  --charset=charset
                  This instructs dumpkeys to interpret character code
                  values  according  to  the specified character set.
                  This affects only the translation of character code
                  values  to symbolic names. Valid values for charset
                  currently are iso-8859-X, Where X  is  a  digit  in
                  1-9.   If  no  charset  is specified, iso-8859-1 is
                  used as a default.  This option produces an  output
                  line  `charset  "iso-8859-X"', telling loadkeys how
                  to interpret the keymap. (For  example,  "division"
                  is 0xf7 in iso-8859-1 but 0xba in iso-8859-8.)

## FILES

           /usr/share/kbd/keymaps
                               recommended   directory  for  keytable
                               files

## SEE ALSO

           loadkeys(1), keymaps(5)

                                1 Sep 1993                DUMPKEYS(1)